Subject: Re: [Simple] MSRP: Towards closure on HoL blocking issue

From: Michael Hammer <[email-masked]>
Date: Thu, 01 May 2003 12:30:10 -0400

This conclusion is good.  Also, doesn't Henning's form of connection re-use 
at least partially address Cullen's concern?

Mike

At 12:44 AM 4/30/2003 -0400, Jonathan Rosenberg wrote:
>I concur with Dave and Dean here. Let us have no restriction on message 
>sizes, and have relays use a different connection for each session. We 
>should be sure to mention the idea Henning mentioned of holding on to 
>connections after the sessions terminate, so they can then be reused
>for subsequent sessions.
>
>Furthermore, I don't even see the real troubles with supporting SCTP now. 
>I would not make it mandatory; I would rather say that everyone MUST to 
>TCP and MAY do SCTP. From rfc3264 we have a pretty good handle on how to 
>support discovery for URIs that can run on multiple transports.
>
>-Jonathan R.
>
>
>Dean Willis wrote:
>>>-----Original Message-----
>>>From: [email-masked] [mailto:[email-masked]] On Behalf Of 
>>>David R. Oran
>>>Sent: Tuesday, April 29, 2003 10:14 AM
>>>To: Ben Campbell; Robert Sparks; Adam Roach; Jonathan Rosenberg; Paul 
>>>Kyzivat; Cullen Jennings
>>>Cc: Simple WG
>>>Subject: Re: [Simple] MSRP: Towards closure on HoL blocking issue
>>>
>>>
>>>Sorry if I'm jumping in late. I much prefer to KISS and do nothing, as 
>>>proposed by Henning. If we want to multilex transport connections in the 
>>>future for relays, do it with SCTP and have one stream per client session.
>>>
>>>Dave.
>>
>>Ok, let's see if I have this right:
>>1) We don't mux with TCP. Ever.
>>2) We don't size-limit.
>>3) If your session gets congested because you sent a huge message, it's your
>>fault, deal with it, and it shouldn't be bothering anybody else because it's
>>on its own stream somewhere.
>>4) Everything works fine, but we've reduced the capacity of relays by
>>something less than 50%.
>>I'm happy with that. It beats trying to explain queuing theory to Adam,
>>especially since he's smarter than I am.
>>--
>>dean
>
>--
>Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
>Chief Scientist                             Parsippany, NJ 07054-2711
>dynamicsoft
>[email-masked]                     FAX:   (973) 952-5050
>http://www.jdrosen.net                      PHONE: (973) 952-5000
>http://www.dynamicsoft.com
>
>_______________________________________________
>Simple mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/simple

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple